Summary: A Perl interpreter for the Apache Web server.
Name: mod_perl
%define perlver 5.8.0
Version: 1.26
Release: 3
Group: System Environment/Daemons
Copyright: GPL
Url: http://perl.apache.org/
Packager: Hao Li <hli@wag.caltech.edu>
Source: http://perl.apache.org/dist/mod_perl-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root
Requires: apache, perl = %{perlver}

%description
Mod_perl incorporates a Perl interpreter into the Apache web
server, so that the Apache web server can directly execute Perl
code.  Mod_perl links the Perl runtime library into the Apache
web server and provides an object-oriented Perl interface for
Apache's C language API.  The end result is a quicker CGI script
turnaround process, since no external Perl interpreter has to
be started.


%prep
%setup -q


%build
perl Makefile.PL \
	USE_APXS=1 \
	WITH_APXS=/usr/sbin/apxs \
	EVERYTHING = 1 \
	PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make
make test


%install
rm -rf $RPM_BUILD_ROOT
make pure_install doc_install

mkdir -p $RPM_BUILD_ROOT/usr/lib/apache
install -m755 -s apaci/libperl.so $RPM_BUILD_ROOT/usr/lib/apache

# Manually compress files first so filename won't change unexpectedly
/usr/lib/rpm/brp-compress

# Construct file list
find $RPM_BUILD_ROOT -type f | sed "s|^$RPM_BUILD_ROOT||" > files.lst
find $RPM_BUILD_ROOT/usr/lib/perl5/vendor_perl/%{perlver} -type d \
  | sed -e "s|^$RPM_BUILD_ROOT|%dir |" \
  | egrep -v "^%dir /usr/lib/perl5/vendor_perl/%{perlver}(/i386-linux-thread-multi(/auto)?)?$" \
  >> files.lst


%files -f files.lst
%defattr(-,root,root)
%doc CREDITS Changes INSTALL* LICENSE README SUPPORT ToDo


%clean
rm -rf $RPM_BUILD_ROOT

